%define packname  pls 

Name:             R-%{packname}
Version:          2.1.0
Release:          3%{?dist}
Summary:          Multivariate regression by PLSR and PCR
Summary(fr):      Régression multivariée par PLSR et PCR

Group:            Applications/Productivity
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/pls/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_2.1-0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

BuildRequires:    R-devel tetex-latex 
Requires(post):   R
Requires(postun): R

%description
Multivariate regression by partial least squares regression (PLSR) 
and principal component regression (PCR)

%description -l fr
Régression multivarié par la technique des moindres carrés et
l'analyse en composants principales
 
%prep
%setup -c -q -n %{packname}

iconv -f ISO-8859-1 -t UTF-8 -o %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION
mv %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION


%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

install -pm 0644  %{packname}/CHANGES %{buildroot}%{_datadir}/R/library/%{packname}

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/CHANGES
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/data



%changelog
* Sun Jan 03 2010 pingou <pingou@pingoured.fr> - 2.1.0-3
- Fix build bz 538957
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 pingou <pingou@pingoured.fr> 2.1.0-1
- Update version from 2.1 to 2.1.0 since for R having a - or a . is similar

* Fri Mar 06 2009 Pingou <pingou@pingoured.fr> 2.1-6
- Change the iconv from prep to end of install to make it build

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Pingou <pingoufc4@yahoo.fr> 2.1-4
- Change the URL (correct typo)

* Mon Feb 18 2008 Pingou <pingoufc4@yahoo.fr> 2.1-3
- Change the URL

* Sat Jan 19 2008 Pingou <pingoufc4@yahoo.fr> 2.1-2
- Add the file CHANGE as documentation

* Thu Jan 17 2008 Pingou <pingoufc4@yahoo.fr> 2.1-1
- Update to version 2.1 

*Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 2.0-4
-Changed the license tag

*Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 2.0-3
-Change in post and postun to fit the packaging guidelines
-Change in prep to fit the same guidelines

*Wed Jun 12 2007 Pingou <pingoufc4@yahoo.fr> 2.0-2
-Add of the %%check part

*Wed Jun 12 2007 Pingou <pingoufc4@yahoo.fr> 2.0-1
-First build of the rpm for Fedora

